package org.example.sweater.service;

import org.example.sweater.config.UploadProperties;
import org.springframework.stereotype.Component;
import org.springframework.web.multipart.MultipartFile;

import java.io.File;
import java.io.IOException;
import java.util.Objects;
import java.util.UUID;

@Component
public class FileService {
    public FileService(UploadProperties uploadProperties) {
        File uploadDir = new File(uploadProperties.getPath());

        if (!uploadDir.exists()) {
            uploadDir.mkdir();
        }
        this.uploadAbsoluteDir = uploadDir.getAbsolutePath();
    }

    private final String uploadAbsoluteDir;

    public String saveFile(MultipartFile file) throws IOException, RuntimeException {
        if (Objects.requireNonNull(file.getOriginalFilename()).isEmpty()) throw new RuntimeException("File name is empty");

        String uuidFile = UUID.randomUUID().toString();
        String fileName = uuidFile + "_" + file.getOriginalFilename();

        file.transferTo(new File(uploadAbsoluteDir + "/" + fileName));

        return fileName;
    }

    public void deleteFile(String fileName) {
        File file = new File(uploadAbsoluteDir + "/" + fileName);
        file.delete();
    }
}
