<#import "parts/common.ftl" as common>
<#import "parts/login.ftl" as login>

<@common.page>
    <h1>Sweater</h1>
    <nav>
        <a href="/user">Users</a>
    </nav>
    <@login.logout />
    <form method="post" enctype="multipart/form-data">
        <label for="message_text">Message text:</label>
        <input id="message_text" type="text" required name="text" />
        <label for="message_tag">Tag:</label>
        <input id="message_tag" type="text" name="tag" required />
        <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}" />
        <input type="file" name="file" />
        <button type="submit">Send</button>
    </form>
    <h2>Messages</h2>
    <#if tag?has_content>
        <p>by tag <strong>${tag}</strong></p>
    </#if>
    <#if search?has_content>
        <p>that starts with <strong>${search}</strong></p>
    </#if>

    <form method="get" action="/feed">
        <label for="filter_tag">Tag:</label>
        <input type="text" id="filter_tag" placeholder="Tag" name="tag" value="${tag!}" />
        <button type="submit">Search</button>
    </form>
    <form method="get" action="/feed">
        <label for="search_tag">Search:</label>
        <input type="search" id="search_tag" placeholder="Text" value="${search!}" name="prefix" />
        <button type="submit">Search</button>
    </form>
    <ul>
        <#list messages as message>
            <li>
                <strong>${message.id}</strong>
                <p>${message.text}</p>
                <i>${message.tag}</i>
                <strong>${message.authorName}</strong>
                <#if message.filename??>
                    <div>
                        <img alt="Image" src="/img/${message.filename}" />
                    </div>
                </#if>

                <form action="/feed/delete" method="post">
                    <input type="hidden" value="${message.id}" name="message" />
                    <input type="hidden" name="${_csrf.parameterName}" value="${_csrf.token}" />
                    <button type="submit">Remove</button>
                </form>
            </li>
        <#else>
            <li>Empty</li>
        </#list>
    </ul>
</@common.page>
